package fosun.sumpay.merchant.integration.core.request.outer;

import com.alibaba.fastjson.annotation.JSONField;
import fosun.sumpay.merchant.integration.core.request.MerchantBaseRequest;

public class H5PayRequest extends MerchantBaseRequest {

   private String mer_no;
   private String sub_mer_no;
   private String trade_code;
   private String user_id;
   private String order_no;
   private String order_time;
   private String order_amount;
   private String business_code;
   private String need_notify;
   private String notify_url;
   private String currency;
   private String goods_name;
   private String goods_num;
   private String goods_type;
   private String remark;
   private String extension;
   private String attach;
   private String invoke_domain;
   private String return_url;
   private String share_benefit_flag;
   private String share_benefit_exp;
   private String time_expire;


   public String getTime_expire() {
      return this.time_expire;
   }

   public void setTime_expire(String time_expire) {
      this.time_expire = time_expire;
   }

   public String getMer_no() {
      return this.mer_no;
   }

   public void setMer_no(String mer_no) {
      this.mer_no = mer_no;
   }

   public String getSub_mer_no() {
      return this.sub_mer_no;
   }

   public void setSub_mer_no(String sub_mer_no) {
      this.sub_mer_no = sub_mer_no;
   }

   public String getTrade_code() {
      return this.trade_code;
   }

   public void setTrade_code(String trade_code) {
      this.trade_code = trade_code;
   }

   public String getUser_id() {
      return this.user_id;
   }

   public void setUser_id(String user_id) {
      this.user_id = user_id;
   }

   public String getOrder_no() {
      return this.order_no;
   }

   public void setOrder_no(String order_no) {
      this.order_no = order_no;
   }

   public String getOrder_time() {
      return this.order_time;
   }

   public void setOrder_time(String order_time) {
      this.order_time = order_time;
   }

   public String getOrder_amount() {
      return this.order_amount;
   }

   public void setOrder_amount(String order_amount) {
      this.order_amount = order_amount;
   }

   public String getBusiness_code() {
      return this.business_code;
   }

   public void setBusiness_code(String business_code) {
      this.business_code = business_code;
   }

   public String getNeed_notify() {
      return this.need_notify;
   }

   public void setNeed_notify(String need_notify) {
      this.need_notify = need_notify;
   }

   public String getNotify_url() {
      return this.notify_url;
   }

   public void setNotify_url(String notify_url) {
      this.notify_url = notify_url;
   }

   public String getCurrency() {
      return this.currency;
   }

   public void setCurrency(String currency) {
      this.currency = currency;
   }

   public String getGoods_name() {
      return this.goods_name;
   }

   public void setGoods_name(String goods_name) {
      this.goods_name = goods_name;
   }

   public String getGoods_num() {
      return this.goods_num;
   }

   public void setGoods_num(String goods_num) {
      this.goods_num = goods_num;
   }

   public String getGoods_type() {
      return this.goods_type;
   }

   public void setGoods_type(String goods_type) {
      this.goods_type = goods_type;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getExtension() {
      return this.extension;
   }

   public void setExtension(String extension) {
      this.extension = extension;
   }

   public String getAttach() {
      return this.attach;
   }

   public void setAttach(String attach) {
      this.attach = attach;
   }

   public String getInvoke_domain() {
      return this.invoke_domain;
   }

   public void setInvoke_domain(String invoke_domain) {
      this.invoke_domain = invoke_domain;
   }

   public String getReturn_url() {
      return this.return_url;
   }

   public void setReturn_url(String return_url) {
      this.return_url = return_url;
   }

   public String getShare_benefit_flag() {
      return this.share_benefit_flag;
   }

   public void setShare_benefit_flag(String share_benefit_flag) {
      this.share_benefit_flag = share_benefit_flag;
   }

   public String getShare_benefit_exp() {
      return this.share_benefit_exp;
   }

   public void setShare_benefit_exp(String share_benefit_exp) {
      this.share_benefit_exp = share_benefit_exp;
   }

   @JSONField(
      serialize = false
   )
   public String[] getBase64EncodedWords() {
      return new String[]{"terminal_info", "notify_url", "goods_name", "remark", "extension", "attach", "return_url", "share_benefit_exp", "longitude", "latitude"};
   }

   @JSONField(
      serialize = false
   )
   public String[] getAesEncodedWords() {
      return null;
   }

   @JSONField(
      serialize = false
   )
   public String[] getCharsetChangeWords() {
      return new String[]{"terminal_info", "goods_name", "remark", "extension", "attach"};
   }
}
